Page MenuHomePhabricator

Could not determine title for page ID X and revision ID Y, ( RevisionStore->newRevisionFromRow_1_29 via FlaggedRevision )
Closed, ResolvedPublic

Description

on de.wikipedia.beta.wmflabs.org

Could not determine title for page ID 4208 and revision ID 21810:

https://logstash-beta.wmflabs.org/app/kibana#/doc/logstash-*/logstash-2018.01.10/mediawiki?id=AWDffN-UD39XhxSlxxqc&_g=()

#0 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(1082): MediaWiki\Storage\RevisionStore->getTitle(string, string, integer)
#1 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(1116): MediaWiki\Storage\RevisionStore->newRevisionFromRow_1_29(stdClass, integer, NULL)
#2 /srv/mediawiki/php-master/includes/Revision.php(505): MediaWiki\Storage\RevisionStore->newRevisionFromRow(stdClass, integer, NULL)
#3 /srv/mediawiki/php-master/extensions/FlaggedRevs/backend/FlaggedRevision.php(58): Revision->__construct(stdClass)
#4 /srv/mediawiki/php-master/extensions/FlaggedRevs/backend/FlaggedRevision.php(343): FlaggedRevision->__construct(stdClass)
#5 /srv/mediawiki/php-master/extensions/FlaggedRevs/backend/FlaggedRevs.class.php(643): FlaggedRevision::determineStable(Title, integer)
#6 /srv/mediawiki/php-master/extensions/FlaggedRevs/backend/FlaggedRevs.class.php(1065): FlaggedRevs::stableVersionUpdates(FlaggableWikiPage)
#7 /srv/mediawiki/php-master/extensions/FlaggedRevs/backend/FlaggedRevs.hooks.php(525): FlaggedRevs::autoReviewEdit(FlaggableWikiPage, User, Revision, array)
#8 /srv/mediawiki/php-master/includes/Hooks.php(177): FlaggedRevsHooks::maybeMakeEditReviewed(WikiPage, Revision, boolean, User)
#9 /srv/mediawiki/php-master/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#10 /srv/mediawiki/php-master/includes/page/WikiPage.php(1920): Hooks::run(string, array)
#11 /srv/mediawiki/php-master/includes/page/WikiPage.php(1670): WikiPage->doCreate(WikitextContent, integer, User, string, array)
#12 /srv/mediawiki/php-master/includes/EditPage.php(2226): WikiPage->doEditContent(WikitextContent, string, integer, boolean, User, string, array, integer)
#13 /srv/mediawiki/php-master/includes/EditPage.php(1537): EditPage->internalAttemptSave(array, boolean)
#14 /srv/mediawiki/php-master/includes/EditPage.php(683): EditPage->attemptSave(array)
#15 /srv/mediawiki/php-master/includes/actions/EditAction.php(60): EditPage->edit()
#16 /srv/mediawiki/php-master/includes/actions/SubmitAction.php(38): EditAction->show()
#17 /srv/mediawiki/php-master/includes/MediaWiki.php(500): SubmitAction->show()
#18 /srv/mediawiki/php-master/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#19 /srv/mediawiki/php-master/includes/MediaWiki.php(854): MediaWiki->performRequest()
#20 /srv/mediawiki/php-master/includes/MediaWiki.php(524): MediaWiki->main()
#21 /srv/mediawiki/php-master/index.php(42): MediaWiki->run()
#22 /srv/mediawiki/w/index.php(3): include(string)
#23 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2018, 10:18 AM

Change 403426 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/FlaggedRevs@master] FlaggedRevision, construct Revision with Title if known

https://gerrit.wikimedia.org/r/403426

https://gerrit.wikimedia.org/r/#/c/403422/ is also a patch for review for this ticket, not sure why the bot didn't post it here, perhaps the change has too many bugs in the commit message...

Restricted Application added a project: User-Addshore. · View Herald TranscriptJan 10 2018, 4:45 PM
Addshore triaged this task as Unbreak Now! priority.Jan 10 2018, 4:45 PM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptJan 10 2018, 4:45 PM
Addshore moved this task from Inbox to Next on the Multi-Content-Revisions board.

Change 403426 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] FlaggedRevision, construct Revision with Title if known

https://gerrit.wikimedia.org/r/403426

Change 403443 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/FlaggedRevs@wmf/1.31.0-wmf.16] FlaggedRevision, construct Revision with Title if known

https://gerrit.wikimedia.org/r/403443

Change 403446 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@wmf/1.31.0-wmf.16] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/403446

Change 403443 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@wmf/1.31.0-wmf.16] FlaggedRevision, construct Revision with Title if known

https://gerrit.wikimedia.org/r/403443

Change 403446 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.16] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/403446

Addshore closed this task as Resolved.Jan 11 2018, 9:27 AM

Change 404757 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@wmf/1.31.0-wmf.17] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/404757

Change 404757 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.17] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/404757

Change 403422 merged by jenkins-bot:
[mediawiki/core@master] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/403422

238482n375 lowered the priority of this task from Unbreak Now! to Lowest.Jun 15 2018, 8:02 AM
238482n375 removed Addshore as the assignee of this task.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

238482n375 set Security to Software security bug.Jun 15 2018, 8:08 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
This comment was removed by Dzahn.
Dzahn raised the priority of this task from Lowest to Unbreak Now!.Jun 15 2018, 9:12 AM
Dzahn assigned this task to Addshore.
Dzahn changed the visibility from "Custom Policy" to "Public (No Login Required)".
Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 9:12 AM
Dzahn added a subscriber: Dzahn.Jun 15 2018, 3:07 PM